XLCubed Excel Edition Prerequisites/Version 9.1

Revision as of 16:42, 23 November 2017 by Antonio.remedios (talk | contribs) (Created page with "<noinclude>{{VersionDisambiguation|pageVersion=9.1|disambiguationPage=XLCubed Excel Edition Prerequisites/Versions}}</noinclude> XLCubed Excel Edition requires several package...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)


XLCubed Excel Edition requires several packages installed in order to operate correctly. These will be downloaded and installed automatically when you run the XLCubed Excel Edition Setup program.

If access to the internet is unavailable, the packages can be manually installed in this order prior to installation.

  • Microsoft .NET Framework 4.5.2
  • Microsoft Visual C++ 2010 SP1 Redistributable (x86) or (x64) Note: install the version appropriate for the Excel architecture you are using
  • Microsoft Core XML Services (MSXML) 6.0 (x86) or (x64)
  • Microsoft SQL Server 2000 PivotTable Services (Analysis Services 8.0 OLEDB Provider, also known as PTS) (x86 only)
  • Microsoft SQL Server 2005 Analysis Services 9.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2008 Analysis Services 10.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2012 Analysis Services 11.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2014 Analysis Services 12.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2012 Analysis Services 11.0 ADOMD.NET Provider (x86) or (x64)
  • Microsoft Access Database Engine 2012 (x86) or (x64) Note: install the version appropriate for the Excel architecture you are using


And to support Azure connections, these additional packages should be installed:

  • Microsoft SQL Server 2016 Analysis Services 13.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2016 Analysis Services 13.0 ADOMD.NET Provider (x86) or (x64)